FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202201261123.p0.gf65053f.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201261123.p0.gf65053f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f65053f OS_GIT_VERSION=4.7.0-202201261123.p0.gf65053f.assembly.stream-f65053f SOURCE_DATE_EPOCH=1626191144 SOURCE_GIT_COMMIT=f65053f55de7b1793956629c8fa02edb7bb0e5cc SOURCE_GIT_TAG=v3.11.0-293-gf65053f5 SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
WORKDIR /go/src/github.com/openshift/service-ca-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/service-ca-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" ./cmd/service-ca-operator

FROM openshift/ose-base:v4.7.0.20220126.114749
ENV __doozer=update BUILD_RELEASE=202201261123.p0.gf65053f.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201261123.p0.gf65053f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f65053f OS_GIT_VERSION=4.7.0-202201261123.p0.gf65053f.assembly.stream-f65053f SOURCE_DATE_EPOCH=1626191144 SOURCE_GIT_COMMIT=f65053f55de7b1793956629c8fa02edb7bb0e5cc SOURCE_GIT_TAG=v3.11.0-293-gf65053f5 SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
COPY --from=builder /go/src/github.com/openshift/service-ca-operator/service-ca-operator /usr/bin/
COPY manifests /manifests
# Using the vendored CRD ensures compatibility with 'oc explain'
COPY vendor/github.com/openshift/api/operator/v1/0000_50_service-ca-operator_02_crd.yaml /manifests/02_crd.yaml
ENTRYPOINT ["/usr/bin/service-ca-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-service-ca-operator" \
        com.redhat.component="ose-service-ca-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="service-ca" \
        release="202201261123.p0.gf65053f.assembly.stream" \
        io.openshift.build.commit.id="f65053f55de7b1793956629c8fa02edb7bb0e5cc" \
        io.openshift.build.source-location="https://github.com/openshift/service-ca-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/service-ca-operator/commit/f65053f55de7b1793956629c8fa02edb7bb0e5cc" \
        version="v4.7.0"

